- entry_type: ghost_instrumentation
  metadata:
    format_version: "2.0"
    uuid: 11de632e-7b4b-4566-a9d6-685e29d04801
    creation_time: 2025-05-28T12:15:21Z
    producer:
      name: Goblint
      version: heads/master-0-gb8fb60e5d-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''protection'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i: 6e0717c26865b2b98bbf38ebc229049821d555def6fcecec3e56a64fb6f63f98
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  content:
    ghost_variables:
    - name: multithreaded
      scope: global
      type: int
      initial:
        value: "0"
        format: c_expression
    ghost_updates:
    - location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 770
        column: 5
        function: main
      updates:
      - variable: multithreaded
        value: "1"
        format: c_expression
- entry_type: invariant_set
  metadata:
    format_version: "2.0"
    uuid: f962942a-af74-4949-97c1-112a3e471de4
    creation_time: 2025-05-28T12:15:21Z
    producer:
      name: Goblint
      version: heads/master-0-gb8fb60e5d-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''protection'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i: 6e0717c26865b2b98bbf38ebc229049821d555def6fcecec3e56a64fb6f63f98
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  content:
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 771
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 772
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 771
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 772
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 771
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 772
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 771
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-theta/exponential-4.i
        line: 772
        column: 5
        function: main
      value: '! multithreaded || (((unsigned int )y <= 2147483647U && (~ ((unsigned
        int )y) & 0U) == 0U) && ((unsigned int )y & 0U) == 0U)'
      format: c_expression
